# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ronky_derive"
version = "1.2.5"
authors = ["Arthur De Witte <dev@arthurdw.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Procedural macros for ronky: #[derive(Exported)] and #[derive(Serializable)]"
readme = "README.md"
keywords = ["arri"]
categories = ["development-tools"]
license = "GPL-3.0-or-later"
repository = "https://github.com/Arthurdw/ronky"
resolver = "2"

[features]
default = []
serialization = [
    "sonic-rs",
    "serde",
]

[lib]
name = "ronky_derive"
path = "src/lib.rs"
proc-macro = true

[dependencies.arri_common]
version = "1.2.0"

[dependencies.heck]
version = "0.5.0"

[dependencies.proc-macro-crate]
version = "3.2.0"

[dependencies.proc-macro2]
version = "1.0.95"

[dependencies.quote]
version = "1.0.40"

[dependencies.serde]
version = "1.0"
features = ["derive"]
optional = true

[dependencies.sonic-rs]
version = "0.5.4"
optional = true

[dependencies.syn]
version = "2.0.101"
features = ["derive"]

[lints.clippy]
cargo = "deny"
complexity = "deny"
correctness = "deny"
perf = "deny"
style = "deny"
use_self = "deny"
